{% extends "layout.html" %}
{% set custom_color = "0,0,0" %}
{% block title %}My Recommender{% endblock %}

{% block content %}
    <!-- Title Section -->
    <div class="container mt-3">
        <div class="row justify-content-left mb-5">
            <div class="col text-left">
                <h1 class="mb-0 fw-bolder">Welcome to MyRecommender</h1>
            </div>
        </div>
    </div>

    <!-- Cards Section -->
    <div class=" row container w-100 justify-content-between">
        <div class="row col-6 text-center justify-content-left">
            <!-- Text Classification Card -->
            <div class="col-lg-6 col-md-6 col-sm-12 mb-4">
                <div class="card  rounded-4 overflow-hidden" style="height: 150px !important; position: relative; background:rgba(0, 115, 255, .2); background-size: cover; background-position: center;">
                    <a class="text-decoration-none" href="{{ url_for('text_classification') }}" style="position: absolute; inset: 0; display: flex; align-items: center; justify-content: center; text-align: center;;">
                        <div class="card-body p-0">
                            <h5 class="card-title fw-bold m-0 text-black">Text Classification</h5>
                            {% if text_clf %}
                            <div class="p-1 mt-4 rounded-5 w-50 m-auto" style="border:2px solid gray;background:white;color:black">
                                {{ text_clf }}
                            </div>
                            {% endif %}
                        </div>
                    </a>
                    
                </div>
            </div>

            <!-- Audio Classification Card -->
            <div class="col-lg-6 col-md-6 col-sm-12 mb-4">
                <div class="card  rounded-4 overflow-hidden" style="height: 150px !important; position: relative; background-image: url('https://via.placeholder.com/150'); background-size: cover; background-position: center;">
                    <a class="text-decoration-none" href="{{ url_for('audio_classification') }}" style="position: absolute; inset: 0; display: flex; align-items: center; justify-content: center; text-align: center; background-color: rgb(255, 204, 138);">
                        <div class="card-body p-0">
                            <h5 class="card-title fw-bold m-0 text-black">Audio Classification</h5>
                        </div>
                    </a>
                    </div>
                    </div>

            <!-- Image Classification Card -->
            <div class="col-lg-6 col-md-6 col-sm-12 mb-4">
                <div class="card  rounded-4 overflow-hidden" style="height: 150px !important; position: relative; background-image: url('https://via.placeholder.com/150'); background-size: cover; background-position: center;">
                    <a class="text-decoration-none" href="{{ url_for('image_classification') }}" style="position: absolute; inset: 0; display: flex; align-items: center; justify-content: center; text-align: center; background-color: rgb(150, 255, 150);">
                        <div class="card-body p-0">
                            <h5 class="card-title fw-bold m-0 text-black">Facial Classification</h5>
                            {% if image_clf %}
                            <div class="p-1 mt-4 rounded-5 w-50 m-auto" style="border:2px solid gray;background:white;color:black">
                                {{ image_clf }}
                            </div>
                            {% endif %}
                        </div>
                    </a>

                    </div>
                    
                    </div>
                    <!-- Rec Card -->
        <div class="col-lg-6 col-md-6 col-sm-12 mb-4">
            <div class="card rounded-4 overflow-hidden" style="height: 150px !important; position: relative; background-image: url('https://via.placeholder.com/150'); background-size: cover; background-position: center;">
                <a class="text-decoration-none" href="{{ url_for('get_recomendation') }}" style="position: absolute; inset: 0; display: flex; align-items: center; justify-content: center; text-align: center; background-color: rgb(225, 180, 255);">
                    <div class="card-body p-0">
                        <h5 class="card-title fw-bold m-0 text-black">Activity Recommender</h5>
                        {% if common %}
                            <div class="p-1 mt-4 rounded-5 m-auto" style="width:80%; border:2px solid gray;background:white;color:black">
                                Overall: {{ common }}
                            </div>
                            {% endif %}
                    </div>
                </a>
                </div>
                </div>
        </div>
        
        <div class="col-6">
            <div class="img rounded-4" style="width: 600px; height: 350px; overflow: hidden;">
                <img src="../static/bg_em.jpg" style="width: 100%; height: 100%; object-fit:fill;"/>
            </div>
        </div>
    </div>
{% endblock %}
